# Interface ThreadDeathRequest

All Superinterfaces:
  `EventRequest, Mirror`

public interface ThreadDeathRequest extends EventRequest
Request for notification when a thread terminates in the target VM. When an enabled ThreadDeathRequest is satisfied, an `event set` containing a `ThreadDeathEvent` will be placed on the `EventQueue`. The collection of existing ThreadDeathRequests is managed by the `EventRequestManager`

Since:
  1.3
See Also:
  - `ThreadDeathEvent`
  - `EventQueue`
  - `EventRequestManager`

## Field Summary

### Fields declared in interface EventRequest

`SUSPEND_ALL, SUSPEND_EVENT_THREAD, SUSPEND_NONE`
Modifier and Type
Field
Description
`static final int`
`SUSPEND_ALL`
Suspend all threads when the event occurs
`static final int`
`SUSPEND_EVENT_THREAD`
Suspend only the thread which generated the event when the event occurs
`static final int`
`SUSPEND_NONE`
Suspend no threads when the event occurs

## Method Summary

Modifier and Type
Method
Description
`default void`
`addPlatformThreadsOnlyFilter()`
Restricts the events generated by this request to only platform threads.
`void`
`addThreadFilter(ThreadReference thread)`
Restricts the events generated by this request to those in the given thread.

### Methods declared in interface EventRequest

`addCountFilter, disable, enable, getProperty, isEnabled, putProperty, setEnabled, setSuspendPolicy, suspendPolicy`
Modifier and Type
Method
Description
`void`
`addCountFilter(int count)`
Limit the requested event to be reported at most once after a given number of occurrences.
`void`
`disable()`
Same as `setEnabled(false)`.
`void`
`enable()`
Same as `setEnabled(true)`.
`Object`
`getProperty(Object key)`
Returns the value of the property with the specified key.
`boolean`
`isEnabled()`
Determines if this event request is currently enabled.
`void`
`putProperty(Object key, Object value)`
Add an arbitrary key/value "property" to this request.
`void`
`setEnabled(boolean val)`
Enables or disables this event request.
`void`
`setSuspendPolicy(int policy)`
Determines the threads to suspend when the requested event occurs in the target VM.
`int`
`suspendPolicy()`
Returns a value which describes the threads to suspend when the requested event occurs in the target VM.

### Methods declared in interface Mirror

`toString, virtualMachine`
Modifier and Type
Method
Description
`String`
`toString()`
Returns a String describing this mirror
`VirtualMachine`
`virtualMachine()`
Gets the VirtualMachine to which this Mirror belongs.

## Method Details

### addThreadFilter

void addThreadFilter(ThreadReference thread)
Restricts the events generated by this request to those in the given thread.

Parameters:
  `thread` - the thread to filter on.
Throws:
  `InvalidRequestStateException` - if this request is currently enabled or has been deleted. Filters may be added only to disabled requests.

### addPlatformThreadsOnlyFilter

default void addPlatformThreadsOnlyFilter()
Restricts the events generated by this request to only platform threads.

Implementation Requirements:
  The default implementation throws `UnsupportedOperationException`.
Throws:
  `InvalidRequestStateException` - if this request is currently enabled or has been deleted
Since:
  21